> For the complete documentation index, see [llms.txt](https://docs.kostacloud.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kostacloud.com/api-documentation.md).

# API Documentation

API documentation for all KostaCLOUD Related APIs

Here you can view the list of KostaCLOUD APIs (KC-APIs) and their various programming languages.

Currently KC-APIs support:

* Javascript
* Python

Where more programming languages will be added in the future.

KC-APIs support four modes of operation:

* Synchronous execution
* Synchronous Batch execution
* Asynchronous execution
* Asynchronous Batch execution

The difference between Batch execution and standard execution is that several commands can be issued simultaneously and provide results all together.

The difference between Synchronous and Asynchronous execution is that in the Sync case every command that is executed waits for the results to return. Whereas in the Async case your program can be doing other things and is issued a promise that the results will be processed, but when your program gets to a point where it needs the results you can then add an "await" clause and the program will then wait for the results to be finalized.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.kostacloud.com/api-documentation.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
